Create
Create a new incident.
Note that if the incident mode is set to “retrospective” then the new incident will not be announced in Slack.
curl --request POST \
--url https://api.incident.io/v2/incidents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"custom_field_entries": [
{
"custom_field_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"values": [
{
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"value_catalog_entry_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"value_link": "https://google.com/",
"value_numeric": "123.456",
"value_option_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"value_text": "This is my text field, I hope you like it",
"value_timestamp": ""
}
]
}
],
"idempotency_key": "alert-uuid",
"incident_role_assignments": [
{
"assignee": {
"email": "bob@example.com",
"id": "01G0J1EXE7AXZ2C93K61WBPYEH",
"slack_user_id": "USER123"
},
"incident_role_id": "01FH5TZRWMNAFB0DZ23FD1TV96"
}
],
"incident_status_id": "01G0J1EXE7AXZ2C93K61WBPYEH",
"incident_timestamp_values": [
{
"incident_timestamp_id": "01FCNDV6P870EA6S7TK1DSYD5H",
"value": "2021-08-17T13:28:57.801578Z"
}
],
"incident_type_id": "01FH5TZRWMNAFB0DZ23FD1TV96",
"mode": "standard",
"name": "Our database is sad",
"retrospective_incident_options": {
"external_id": 123,
"postmortem_document_url": "https://docs.google.com/my_doc_id",
"slack_channel_id": "abc123"
},
"severity_id": "01FH5TZRWMNAFB0DZ23FD1TV96",
"slack_channel_name_override": "inc-123-database-down",
"slack_team_id": "T02A1FSLE8J",
"summary": "Our database is really really sad, and we don't know why yet.",
"visibility": "public"
}
EOFimport requests
url = "https://api.incident.io/v2/incidents"
payload = {
"custom_field_entries": [
{
"custom_field_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"values": [
{
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"value_catalog_entry_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"value_link": "https://google.com/",
"value_numeric": "123.456",
"value_option_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"value_text": "This is my text field, I hope you like it",
"value_timestamp": ""
}
]
}
],
"idempotency_key": "alert-uuid",
"incident_role_assignments": [
{
"assignee": {
"email": "bob@example.com",
"id": "01G0J1EXE7AXZ2C93K61WBPYEH",
"slack_user_id": "USER123"
},
"incident_role_id": "01FH5TZRWMNAFB0DZ23FD1TV96"
}
],
"incident_status_id": "01G0J1EXE7AXZ2C93K61WBPYEH",
"incident_timestamp_values": [
{
"incident_timestamp_id": "01FCNDV6P870EA6S7TK1DSYD5H",
"value": "2021-08-17T13:28:57.801578Z"
}
],
"incident_type_id": "01FH5TZRWMNAFB0DZ23FD1TV96",
"mode": "standard",
"name": "Our database is sad",
"retrospective_incident_options": {
"external_id": 123,
"postmortem_document_url": "https://docs.google.com/my_doc_id",
"slack_channel_id": "abc123"
},
"severity_id": "01FH5TZRWMNAFB0DZ23FD1TV96",
"slack_channel_name_override": "inc-123-database-down",
"slack_team_id": "T02A1FSLE8J",
"summary": "Our database is really really sad, and we don't know why yet.",
"visibility": "public"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
custom_field_entries: [
{
custom_field_id: '01FCNDV6P870EA6S7TK1DSYDG0',
values: [
{
id: '01FCNDV6P870EA6S7TK1DSYDG0',
value_catalog_entry_id: '01FCNDV6P870EA6S7TK1DSYDG0',
value_link: 'https://google.com/',
value_numeric: '123.456',
value_option_id: '01FCNDV6P870EA6S7TK1DSYDG0',
value_text: 'This is my text field, I hope you like it',
value_timestamp: ''
}
]
}
],
idempotency_key: 'alert-uuid',
incident_role_assignments: [
{
assignee: {
email: 'bob@example.com',
id: '01G0J1EXE7AXZ2C93K61WBPYEH',
slack_user_id: 'USER123'
},
incident_role_id: '01FH5TZRWMNAFB0DZ23FD1TV96'
}
],
incident_status_id: '01G0J1EXE7AXZ2C93K61WBPYEH',
incident_timestamp_values: [
{
incident_timestamp_id: '01FCNDV6P870EA6S7TK1DSYD5H',
value: '2021-08-17T13:28:57.801578Z'
}
],
incident_type_id: '01FH5TZRWMNAFB0DZ23FD1TV96',
mode: 'standard',
name: 'Our database is sad',
retrospective_incident_options: {
external_id: 123,
postmortem_document_url: 'https://docs.google.com/my_doc_id',
slack_channel_id: 'abc123'
},
severity_id: '01FH5TZRWMNAFB0DZ23FD1TV96',
slack_channel_name_override: 'inc-123-database-down',
slack_team_id: 'T02A1FSLE8J',
summary: 'Our database is really really sad, and we don\'t know why yet.',
visibility: 'public'
})
};
fetch('https://api.incident.io/v2/incidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"incident": {
"call_url": "https://zoom.us/foo",
"created_at": "2021-08-17T13:28:57.801578Z",
"creator": {
"alert": {
"id": "01GW2G3V0S59R238FAHPDS1R66",
"title": "*errors.withMessage: PG::Error failed to connect"
},
"api_key": {
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "My test API key"
},
"user": {
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "owner",
"slack_user_id": "U02AYNF2XJM"
},
"workflow": {
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "My little workflow"
}
},
"custom_field_entries": [
{
"custom_field": {
"description": "Which team is impacted by this issue",
"field_type": "single_select",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Affected Team",
"options": [
{
"custom_field_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"sort_key": 10,
"value": "Product"
}
]
},
"values": [
{
"value_catalog_entry": {
"aliases": [
"lawrence@incident.io",
"lawrence"
],
"external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Primary On-call"
},
"value_link": "https://google.com/",
"value_numeric": "123.456",
"value_option": {
"custom_field_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"sort_key": 10,
"value": "Product"
},
"value_text": "This is my text field, I hope you like it"
}
]
}
],
"duration_metrics": [
{
"duration_metric": {
"id": "01FCNDV6P870EA6S7TK1DSYD5H",
"name": "Lasted"
},
"value_seconds": 10800
}
],
"external_issue_reference": {
"issue_name": "INC-123",
"issue_permalink": "https://linear.app/incident-io/issue/INC-1609/find-copywriter-to-write-up",
"provider": "asana"
},
"has_debrief": false,
"id": "01FDAG4SAP5TYPT98WGR2N7W91",
"incident_role_assignments": [
{
"assignee": {
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "owner",
"slack_user_id": "U02AYNF2XJM"
},
"role": {
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "The person currently coordinating the incident",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"instructions": "Take point on the incident; Make sure people are clear on responsibilities",
"name": "Incident Lead",
"required": false,
"role_type": "lead",
"shortform": "lead",
"updated_at": "2021-08-17T13:28:57.801578Z"
}
}
],
"incident_status": {
"category": "triage",
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "Impact has been **fully mitigated**, and we're ready to learn from this incident.",
"id": "01FCNDV6P870EA6S7TK1DSYD5H",
"name": "Closed",
"rank": 4,
"updated_at": "2021-08-17T13:28:57.801578Z"
},
"incident_timestamp_values": [
{
"incident_timestamp": {
"id": "01FCNDV6P870EA6S7TK1DSYD5H",
"name": "Impact started",
"rank": 1
},
"value": {
"value": "2021-08-17T13:28:57.801578Z"
}
}
],
"incident_type": {
"create_in_triage": "always",
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "Customer facing production outages",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"is_default": false,
"name": "Production Outage",
"private_incidents_only": false,
"updated_at": "2021-08-17T13:28:57.801578Z"
},
"mode": "standard",
"name": "Our database is sad",
"permalink": "https://app.incident.io/incidents/123",
"postmortem_document_ids": [
"01FCNDV6P870EA6S7TK1DSYD5H"
],
"postmortem_document_url": "https://docs.google.com/my_doc_id",
"reference": "INC-123",
"severity": {
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "Issues with **low impact**.",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Minor",
"rank": 1,
"updated_at": "2021-08-17T13:28:57.801578Z"
},
"slack_channel_id": "C02AW36C1M5",
"slack_channel_name": "inc-165-green-parrot",
"slack_team_id": "T02A1FSLE8J",
"summary": "Our database is really really sad, and we don't know why yet.",
"updated_at": "2021-08-17T13:28:57.801578Z",
"visibility": "public",
"workload_minutes_late": 40.7,
"workload_minutes_sleeping": 0,
"workload_minutes_total": 60.7,
"workload_minutes_working": 20
}
}incidents.create scope.Authorizations
API key from your incident.io dashboard (Settings → API keys)
Body
Unique string used to de-duplicate incident create requests
"alert-uuid"
Set the incident's custom fields to these values
Show child attributes
Show child attributes
[
{
"custom_field_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"values": [
{
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"value_catalog_entry_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"value_link": "https://google.com/",
"value_numeric": "123.456",
"value_option_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"value_text": "This is my text field, I hope you like it",
"value_timestamp": ""
}
]
}
]
Assign incident roles to these people
Show child attributes
Show child attributes
[
{
"assignee": {
"email": "bob@example.com",
"id": "01G0J1EXE7AXZ2C93K61WBPYEH",
"slack_user_id": "USER123"
},
"incident_role_id": "01FH5TZRWMNAFB0DZ23FD1TV96"
}
]
Incident status to assign to the incident
"01G0J1EXE7AXZ2C93K61WBPYEH"
Assign the incident's timestamps to these values
Show child attributes
Show child attributes
[
{
"incident_timestamp_id": "01FCNDV6P870EA6S7TK1DSYD5H",
"value": "2021-08-17T13:28:57.801578Z"
}
]
Incident type to create this incident as
"01FH5TZRWMNAFB0DZ23FD1TV96"
Whether the incident is real, a test, a tutorial, or importing as a retrospective incident
standard, retrospective, test, tutorial "standard"
Explanation of the incident
"Our database is sad"
Show child attributes
Show child attributes
{
"external_id": 123,
"postmortem_document_url": "https://docs.google.com/my_doc_id",
"slack_channel_id": "abc123"
}
Severity to create incident as
"01FH5TZRWMNAFB0DZ23FD1TV96"
Name of the Slack channel to create for this incident
"inc-123-database-down"
Slack Team to create the incident in
"T02A1FSLE8J"
Detailed description of the incident
"Our database is really really sad, and we don't know why yet."
Response
OK response.
Show child attributes
Show child attributes
Was this page helpful?
